Bug 50981 - Kernel can't mount root fs when using DAC960 module.
Kernel can't mount root fs when using DAC960 module.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-05 22:48 EDT by Shinya Narahara
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-09 05:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shinya Narahara 2001-08-05 22:48:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [ja] (WinNT; U)

Description of problem:
Kernel can't mount root fs when booting, and using DAC960 module
for root device. I found this on machine has 4G over memory only.

How reproducible:

Steps to Reproduce:
1.Put memories over 4G(ex.6G) into test machine, and it has DAC960 rootfs.
2.make initrd and reboot

Actual Results:  Can't mount root fs on boot time.

Expected Results:  The root fs is mounted normally.

Additional info:

The boot time messages below:

Loading DAC960 module
DAC960: *** DAC960 RAID Driver Version 2.4.10 of 1 February 2001 ****
DAC960: Copyright 1998-2001 by Leonald N. Zubkoff <lnz@dandelion.com>
DAC960: #0: Unable to Enable Memory Mailbox Interface for Controller at
DAC960: #0: PCI Bus 0 Device 2 Function 1 I/O Address N/A PCI Address 0xFDFF0000
/lib/DAC960.o: init_module: Operation not permitted.
Hint: insmod errors can be caused by incorret module parameters, including
invalid IO or IRQ parameters
Error: /bin/insmod exited abnormally!
VFS: Cannot open root device "rd/c0d0p3" or 30:03
Please append a correct "root=" boot option.
kernel panic: VFS: Unable to mount root fs on 30:03

As I said, only machine which has memory over 4G can have this issue.
Same machine, which has memory limited by "mem=4096m" never have
this. So, we guess this might be DAC960 driver issue abount DMA.
The aic7xxx_mod driver had same issue on early release but now it doesn't.
As you know, IA-64 is mainly for enterprise use, the memory easily exceed

We have this issue on kernel 2.4.3-12 and 2.4.6-2.
Comment 1 Martin Wilck 2001-08-08 12:33:18 EDT
It looks as if your DAC960 driver does not load successfully. Actually, it bails
out at a pretty early stage. Do I understand you right that with the same kernel
& initrd, but less memory, the driver
and root fs come up fine?

This is weird, because my machine has 8GB and I never had driver loading
problems so far. I am
loading the DAC960 driver through the initrd, just as you do, but I have my root
fs on the internal
Qlogic controller. 

Be warned, though, that (although the driver loads fine) we had enormous
stability problems 
with the Mylex "Big Apple" controller in a Lion system under Linux IA64. This is
not a RedHat-specific problem. Under heavy load, we regularly see data errors
and even system hangs.
See my postings to the Linux IA64 mailing list
(https://external-lists.valinux.com/archives//linux-ia64/) in June and July.

I would be interested in further information - what Mylex controller are you
using, what other
controllers are in the system, ...

Comment 2 Shinya Narahara 2001-08-09 05:16:08 EDT
We have this issue on Lion system. The SCSI devices are:
    Mylex AccelleRAID 352(boot device)
    Qlogic ISP12160(no disk connected)
and 2 disks are connected to AR352 as RAID 1.

We tested this system by installation and boot RH71, with 1G physical
memory, 4G physical memory and 6G physical memory. When 6G, we
limited the memory by using kernel paramater "mem=xx". The results are:
    1G physical : O.K.
    4G physical : O.K.
    6G physical : both N.G.
    4G logical (6G physical) : O.K.
SMP and UP kernel both have this issue.
When installation with 6G, the installer was stopped by "No disk found" error.
DAC960 driver was loaded, but unloaded by same error I reported.

As you know, AR352 doesn't have official bios or firmware for IA-64. This
might be firmware issue since you confirmed that the lion
system with 8G memory can boot and load DAC960 driver. Or, possibly
the reason may be that what root fs is on DAC960 device.

BTW, we don't have your issue that DAC960 is unstable when system's busy.
we'll test this on our system later.
Comment 3 Shinya Narahara 2001-08-30 05:08:06 EDT
We've found this issue depended on the AR352 board(hardware) revision.
The tested revision is Rev.A and Rev.C both have same firmware version,
and we have always this issue on Rev.A, but don't on Rev.C.

BTW, the issue that DAC960 isn't stable under heavy load, might be #52486
issue. we also had it, but we never on the patched kernel.

Note You need to log in before you can comment on or make changes to this bug.